Subject: Re: Cygwin, NT and Nutcracker
From: Jens Reimann <[email-masked]>
To: [email-masked]
Date: Mon, 16 Aug 1999 20:06:19 +0200

Chris Faylor wrote:

Ups .... sorry that I didn't get the topic, but i thought that this is
more about internals of cygwin
which could be better discussed by the developers of cygwin ...

thanks for your answer

jens reimann

> I'm sorry to say that this is off-topic for the cygwin-developers
> mailing list.
>
> As the name implies, this list is intended for the discussion of
> developing cygwin itself.  It is not a help desk for people with
> application problems.
>
> Please send this request to the general mailing list where I'm sure
> you will be helped as this issue has been rehashed many times in
> the past.
>
> Thank you.
>
> On Mon, Aug 16, 1999 at 07:36:57PM +0200, Jens Reimann wrote:
> >currently I'm working in a project where I have to port Unix source to
> >NT. The problem is that I don't want to use MS VC as compiler! Now i
> >started compiling my applications using Cygwin and Nutcracker. There
> >were some problems (syntax, defines, etc) but now I'm through and have
> >my applications running.
> >
> >The last problem which had to be fixes was, that Nutcracker defined to
> >stdio streams as follows:
> >
> >extern FILE     *_iob;
> >
> >#define stdin        (&_iob[0])
> >#define stdout    (&_iob[1])
> >#define stderr        (&_iob[2])
> >
> >where gnu defines them in the <reent.h> include with one for each
> >thread.
> >
> >so when I linked I got the message symbol_iob not found. That's Ok.
> >
> >now I made a simple file called iob.c which contains:
> >
> >#include <reent.h>
> >
> >struct __sFILE * _iob;
> >
> >and compiled/linked a test application ... it worked ...
> >
> >does anyone have some comments on this?? Do you think it is save? ...
> >Any other ideas?
> >
> >thx
> >
> >Jens Reimann

--
Want to unsubscribe from this list?
Send a message to [email-masked]